Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggObject Class Reference

The highest-level base class in the egg directory. More...

Inheritance diagram for EggObject:

List of all members.

## Public Member Functions
| EggObject ()
| EggObject (EggObject const copy)
| clearUserData ()
| Removes *all* user data pointers from the node.
| clearUserData (TypeHandle type)
| Removes the user data pointer of the indicated type.
EggUserData | getUserData ()
| Returns the user data pointer most recently stored on this object, or NULL if nothing was previously stored.
EggUserData | getUserData (TypeHandle type)
| Returns the user data pointer of the indicated type, if it exists, or NULL if it does not.
bool | hasUserData (TypeHandle type)
| Returns true if the user data pointer of the indicated type has been set, false otherwise.
bool | hasUserData ()
| Returns true if a generic user data pointer has recently been set and not yet cleared, false otherwise.
EggObject | operator= (EggObject const copy)
| setUserData (EggUserData user_data)
| Sets the user data associated with this object.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

The highest-level base class in the egg directory.

(Almost) all things egg inherit from this.

## Constructor & Destructor Documentation

EggObject | ( |  | ) |

EggObject | ( | EggObject const | copy | ) |

## Member Function Documentation

clearUserData | ( |  | ) |

Removes *all* user data pointers from the node.

clearUserData | ( | TypeHandle | type | ) |

Removes the user data pointer of the indicated type.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in EggNamedObject, EggNode, EggAnimData, EggAnimPreload, EggVertexUV, EggVertexAux, EggVertex, EggVertexPool, EggGroupNode, EggSwitchCondition, EggSwitchConditionDistance, EggGroup, EggBin, EggBinMaker, EggComment, EggFilenameNode, EggTexture, EggMaterial, EggPrimitive, EggCompositePrimitive, EggData, EggCoordinateSystem, EggCurve, EggExternalReference, EggNameUniquifier, EggGroupUniquifier, EggLine, EggPolygon, EggNurbsCurve, EggSurface, EggNurbsSurface, EggPoint, EggPolysetMaker, EggPoolUniquifier, EggSAnimData, EggTable, EggTriangleFan, EggTriangleStrip, EggXfmSAnim, and EggXfmAnimData.

EggUserData getUserData | ( | TypeHandle | type | ) |

Returns the user data pointer of the indicated type, if it exists, or NULL if it does not.

EggUserData getUserData | ( |  | ) |

Returns the user data pointer most recently stored on this object, or NULL if nothing was previously stored.

bool hasUserData | ( |  | ) |

Returns true if a generic user data pointer has recently been set and not yet cleared, false otherwise.

bool hasUserData | ( | TypeHandle | type | ) |

Returns true if the user data pointer of the indicated type has been set, false otherwise.

EggObject operator= | ( | EggObject const | copy | ) |

setUserData | ( | EggUserData | user_data | ) |

Sets the user data associated with this object.

This may be any EggUserData-derived object. The egg library will do nothing with this pointer, except to hold its reference count and return the pointer on request.

The EggObject maintains multiple different EggUserData pointers, one for each unique type (as reported by get_type()). If you know that only one type of EggUserData object will be added in your application, you may use the query functions that accept no parameters, but it is recommended that in general you pass in the type of your particular user data, to allow multiple applications to coexist in the same egg data.

This pointer is also copied by the copy assignment operator and copy constructor.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties